from typing import Any

from sqlalchemy.orm import DeclarativeBase

import config
from eportal.dbutils import make_engine


class Base(DeclarativeBase):
    pass


engine, session = make_engine(config.DATABASE_URI)


def remove_session(*_args: Any) -> None:
    if session.dirty:
        session.rollback()
    session.remove()


def import_all() -> None:
    from . import models
    from .. import audit

    _ = models, audit
