from eportal.dbutils import make_engine, Engine, EportalSession
from typing import Optional

import config
import os


class LegacyDB:
    DB_URI: str = ''

    def __init__(self) -> None:
        self._engine: Optional[Engine] = None
        self._session: Optional[EportalSession] = None

    @property
    def session(self) -> EportalSession:
        if not self._session:
            self._engine, self._session = make_engine(self.DB_URI)
        return self._session

    @property
    def engine(self) -> Engine:
        if not self._engine:
            self._engine, self._session = make_engine(self.DB_URI)
        return self._engine

    def exists(self) -> bool:
        return os.path.exists(self.DB_URI.split('://')[-1])


class kernel(LegacyDB):
    DB_URI = config.PATCHES_DATABASE_URI


class user(LegacyDB):
    DB_URI = config.USER_PATCHES_DATABASE_URI


class qemu(LegacyDB):
    DB_URI = config.QEMU_PATCHES_DATABASE_URI


class db(LegacyDB):
    DB_URI = config.DB_PATCHES_DATABASE_URI
