$(document).ready(function() {
    var uniqueDistributions = new Set();
    $(".distributions-col").each(function() {
        var distributions = $(this).text().trim().split(',');
        distributions.forEach(function(distribution) {
            uniqueDistributions.add(distribution.trim());
        });
    });
    uniqueDistributions.delete("Not downloaded");
    var sortedDistributions = Array.from(uniqueDistributions).sort();
    sortedDistributions.forEach(function(value) {
        $("#distributionFilter").append($('<option>', { value: value, text: value }));
    });

    var urlParams = new URLSearchParams(window.location.search);
    var distributionFilter = urlParams.get('distribution_filter');
    if (distributionFilter) {
        $('#distributionFilter').val(distributionFilter);
        filterTable(distributionFilter);
    }

    $("#distributionFilter").on("change", function() {
        var selectedValue = this.value;
        filterTable(selectedValue);
        updateURL(selectedValue);
    });

    function filterTable(filterValue) {
        $("tr:has(td)").each(function() {
            $(this).toggle(filterValue === "" || $(this).find(".distributions-col").text().trim().includes(filterValue));
        });
    }

    function updateURL(value) {
        var currentUrl = new URL(window.location.href);
        if (value === "") {
            currentUrl.searchParams.delete('distribution_filter');
        } else {
            currentUrl.searchParams.set('distribution_filter', value);
        }
        window.history.replaceState({}, '', currentUrl);
    }
});
