"""initial

Revision ID: 36719955c30b
Revises: None
Create Date: 2022-06-27 12:33:50.699585

"""

# revision identifiers, used by Alembic.
revision = '36719955c30b'
down_revision = None

from alembic import op
import sqlalchemy as sa


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        'kc_keys',
        sa.Column('key', sa.String(length=16), nullable=False),
        sa.Column('enabled', sa.Boolean(), nullable=True),
        sa.Column('server_limit', sa.Integer(), nullable=True),
        sa.Column('note', sa.String(length=256), nullable=True),
        sa.PrimaryKeyConstraint('key'),
    )
    op.create_table(
        'kc_users',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('username', sa.String(length=64), nullable=False),
        sa.Column('password_hash', sa.String(length=255), nullable=False),
        sa.Column('active', sa.Boolean(), nullable=False),
        sa.Column('description', sa.Text(), nullable=True),
        sa.PrimaryKeyConstraint('id'),
    )
    op.create_index(op.f('ix_kc_users_username'), 'kc_users', ['username'], unique=True)
    op.create_table(
        'kc_servers',
        sa.Column('server_id', sa.String(length=16), nullable=False),
        sa.Column('created', sa.DateTime(), nullable=True),
        sa.Column('kc_key', sa.String(length=16), nullable=True),
        sa.Column('remote_ip', sa.String(length=40), nullable=False),
        sa.Column('patch_level', sa.Integer(), nullable=True),
        sa.Column('uptime', sa.Integer(), nullable=True),
        sa.Column('kernel_id', sa.String(length=60), nullable=True),
        sa.Column('distro_version', sa.String(length=30), nullable=True),
        sa.Column('distro', sa.String(length=64), nullable=True),
        sa.Column('node', sa.String(length=256), nullable=True),
        sa.Column('machine', sa.String(length=10), nullable=True),
        sa.Column('processor', sa.String(length=10), nullable=True),
        sa.Column('release', sa.String(length=128), nullable=True),
        sa.Column('version', sa.String(length=128), nullable=True),
        sa.Column('kcare_version', sa.String(length=20), nullable=True),
        sa.Column('virt', sa.String(length=20), nullable=True),
        sa.Column('euname', sa.String(length=128), nullable=True),
        sa.Column('last', sa.DateTime(), nullable=True),
        sa.ForeignKeyConstraint(['kc_key'], ['kc_keys.key'], ondelete='CASCADE'),
        sa.PrimaryKeyConstraint('server_id'),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('kc_servers')
    op.drop_index(op.f('ix_kc_users_username'), table_name='kc_users')
    op.drop_table('kc_users')
    op.drop_table('kc_keys')
    # ### end Alembic commands ###
