"""unit and unit users

Revision ID: 6200be4d517a
Revises: bf07756f4c72
Create Date: 2024-02-23 13:05:00.895852

"""

# revision identifiers, used by Alembic.
revision = '6200be4d517a'
down_revision = 'bf07756f4c72'
branch_labels = ('unit',)

from alembic import op
import sqlalchemy as sa


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        'units',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('slug', sa.String(), nullable=False),
        sa.Column('title', sa.String(), nullable=False),
        sa.PrimaryKeyConstraint('id'),
    )
    op.create_index(op.f('ix_units_slug'), 'units', ['slug'], unique=True)
    op.create_table(
        'unit_users',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('unit_id', sa.Integer(), nullable=False),
        sa.Column('username', sa.String(), nullable=False),
        sa.Column('password_hash', sa.String(), nullable=False),
        sa.Column('description', sa.Text(), nullable=True),
        sa.Column('role', sa.String(), nullable=True),
        sa.ForeignKeyConstraint(
            ['unit_id'],
            ['units.id'],
        ),
        sa.PrimaryKeyConstraint('id'),
    )
    op.create_index('idx_unit_users_uniq_username', 'unit_users', ['unit_id', 'username'], unique=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index('idx_unit_users_uniq_username', table_name='unit_users')
    op.drop_table('unit_users')
    op.drop_index(op.f('ix_units_slug'), table_name='units')
    op.drop_table('units')
    # ### end Alembic commands ###
