"""add audit table

Revision ID: aad70b1f5ddd
Revises: b1b26e11efef
Create Date: 2021-12-15 17:44:34.685347

"""

# revision identifiers, used by Alembic.
revision = 'aad70b1f5ddd'
down_revision = 'b1b26e11efef'

from alembic import op
import sqlalchemy as sa


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        'auditlog',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('date', sa.DateTime(), nullable=False),
        sa.Column('user', sa.Text(), nullable=False),
        sa.Column('action', sa.Text(), nullable=False),
        sa.Column('details', sa.Text(), nullable=False),
        sa.PrimaryKeyConstraint('id'),
    )
    op.create_index('idx_auditlog_action_date', 'auditlog', ['action', sa.text('date DESC')], unique=False)
    op.create_index('idx_auditlog_user_date', 'auditlog', ['user', sa.text('date DESC')], unique=False)
    op.create_index(op.f('ix_auditlog_date'), 'auditlog', ['date'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_auditlog_date'), table_name='auditlog')
    op.drop_index('idx_auditlog_user_date', table_name='auditlog')
    op.drop_index('idx_auditlog_action_date', table_name='auditlog')
    op.drop_table('auditlog')
    # ### end Alembic commands ###
