"""add unit_id

Revision ID: b7cd2c6e6b67
Revises: db8961daf086
Create Date: 2024-02-28 18:59:03.688483

"""

# revision identifiers, used by Alembic.
revision = 'b7cd2c6e6b67'
down_revision = 'db8961daf086'

from alembic import op
import sqlalchemy as sa


def upgrade():
    op.create_table(
        'releases_new',
        sa.Column('unit_id', sa.Integer(), server_default='0', nullable=False),
        sa.Column('stream', sa.String(), nullable=False),
        sa.Column('release', sa.String(), nullable=False),
        sa.Column('feed', sa.String(), nullable=False),
        sa.Column('deployed', sa.DateTime(), nullable=False),
        sa.Column('enabled', sa.Boolean(), nullable=False),
        sa.PrimaryKeyConstraint('unit_id', 'stream', 'release', 'feed'),
    )

    flist = 'stream, release, feed, deployed, enabled'
    op.execute(f'INSERT INTO releases_new ({flist}) SELECT {flist} FROM releases')

    op.drop_table('releases')
    op.rename_table('releases_new', 'releases')


def downgrade():
    op.execute('DELETE FROM releases WHERE unit_id != 0')
    with op.batch_alter_table('releases', table_args=(sa.PrimaryKeyConstraint('stream', 'release', 'feed'),)) as bop:
        bop.drop_column('unit_id')
