"""initial

Revision ID: f97011184c10
Revises: None
Create Date: 2024-02-21 14:27:13.627850

"""

# revision identifiers, used by Alembic.
revision = 'f97011184c10'
down_revision = None

from alembic import op
import sqlalchemy as sa


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        'fixups',
        sa.Column('release', sa.String(), nullable=False),
        sa.Column('kernel_id', sa.String(), nullable=False),
        sa.Column('fixup_for', sa.Integer(), nullable=False),
        sa.Column('fixup_from', sa.Integer(), nullable=False),
        sa.PrimaryKeyConstraint('release', 'kernel_id', 'fixup_for'),
    )
    op.create_index('idx_fixups_kernel_for_from', 'fixups', ['kernel_id', 'fixup_for', 'fixup_from'], unique=False)
    op.create_table(
        'patches',
        sa.Column('release', sa.String(), nullable=False),
        sa.Column('kernel_id', sa.String(), nullable=False),
        sa.Column('patch_level', sa.Integer(), nullable=False),
        sa.Column('version', sa.Integer(), nullable=False),
        sa.PrimaryKeyConstraint('release', 'kernel_id', 'patch_level'),
    )
    op.create_index(
        'idx_patches_kernel_id_patch_level', 'patches', ['kernel_id', sa.text('patch_level DESC')], unique=False
    )
    op.create_table(
        'releases',
        sa.Column('stream', sa.String(), nullable=False),
        sa.Column('release', sa.String(), nullable=False),
        sa.Column('feed', sa.String(), nullable=False),
        sa.Column('deployed', sa.DateTime(), nullable=False),
        sa.Column('enabled', sa.Boolean(), nullable=False),
        sa.PrimaryKeyConstraint('stream', 'release', 'feed'),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('releases')
    op.drop_index('idx_patches_kernel_id_patch_level', table_name='patches')
    op.drop_table('patches')
    op.drop_index('idx_fixups_kernel_for_from', table_name='fixups')
    op.drop_table('fixups')
    # ### end Alembic commands ###
