var distro_map = {
    "almalinux8": "AlmaLinux 8 (x86_64)",
    "amazon": "Amazon Linux",
    "amazon1": "Amazon Linux 1",
    "amazon2": "Amazon Linux 2",
    "centos5": "CentOS 5 (x86_64)",
    "centos6": "CentOS 6 (x86_64)",
    "centos6-alt": "Virt-SIG/Xen4CentOS",
    "centos6-elrepo": "CentOS 6 (x86_64)",
    "centos6-plus": "CentOS 6 (x86_64)",
    "centos7": "CentOS 7 (x86_64)",
    "centos7-alt": "Virt-SIG/Xen4CentOS",
    "centos7-elrepo": "CentOS 7 (x86_64)",
    "centos7-plus": "CentOS 7 (x86_64)",
    "centos8": "CentOS 8 (x86_64)",
    "cl5": "CloudLinux 5 (x86_64)",
    "cl5h": "CloudLinux 5 (x86_64)",
    "cl6": "CloudLinux 6 (x86_64)",
    "cl6h": "CloudLinux 6 (x86_64)",
    "cl7": "CloudLinux 7 (x86_64)",
    "cl7h": "CloudLinux 7 (x86_64)",
    "cl8": "CloudLinux 8 (x86_64)",
    "debian6": "Debian 6",
    "debian7": "Debian 7",
    "debian8": "Debian 8",
    "debian8-backports": "Debian 8",
    "debian9": "Debian 9",
    "debian9-backports": "Debian 9",
    "debian10": "Debian 10",
    "debian10-cloud": "Debian 10",
    "oel6": "Oracle Linux 6 (x86_64)",
    "oel6-uek2": "Oracle Linux 6 UEK Release 2 (x86_64)",
    "oel6-uek3": "Oracle Linux 6 UEK Release 3 (x86_64)",
    "oel6-uek4": "Oracle Linux 6 UEK Release 4 (x86_64)",
    "oel7": "Oracle Linux 7 (x86_64)",
    "oel7-uek3": "Oracle Linux 7 UEK Release 3 (x86_64)",
    "oel7-uek4": "Oracle Linux 7 UEK Release 4 (x86_64)",
    "oel7-uek5": "Oracle Linux 7 UEK Release 5 (x86_64)",
    "oel7-uek6": "Oracle Linux 7 UEK Release 6 (x86_64)",
    "oel8": "Oracle Linux 8 (x86_64)",
    "oel8-uek6": "Oracle Linux 8 UEK Release 6 (x86_64)",
    "pve-2.6": "Proxmox VE 3",
    "pve-3.10": "Proxmox VE 3",
    "pve-4.2": "Proxmox VE 4",
    "pve-5": "Proxmox VE 5",
    "pve-6": "Proxmox VE 6",
    "rhel5": "RHEL 5 (x86_64)",
    "rhel6": "RHEL 6 (x86_64)",
    "rhel7": "RHEL 7 (x86_64)",
    "rhel8": "RHEL 8 (x86_64)",
    "sl6": "Scientific Linux 6",
    "precise": "Ubuntu 12.04",
    "ubuntu-trusty": "Ubuntu 14.04",
    "ubuntu-trusty-lts-utopic": "Ubuntu 14.04",
    "ubuntu-trusty-lts-vivid": "Ubuntu 14.04",
    "ubuntu-trusty-lts-wily": "Ubuntu 14.04",
    "ubuntu-trusty-lts-xenial": "Ubuntu 14.04",
    "ubuntu-trusty-lts-xenial-aws": "Ubuntu 14.04",
    "ubuntu-xenial": "Ubuntu 16.04",
    "ubuntu-xenial-aws": "Ubuntu 16.04",
    "ubuntu-xenial-fips": "Ubuntu 16.04",
    "ubuntu-xenial-lts-artful": "Ubuntu 16.04",
    "ubuntu-xenial-lts-bionic": "Ubuntu 16.04",
    "ubuntu-xenial-lts-bionic-aws": "Ubuntu 16.04",
    "ubuntu-xenial-lts-bionic-azure": "Ubuntu 16.04",
    "ubuntu-xenial-lts-bionic-gcp": "Ubuntu 16.04",
    "ubuntu-xenial-lts-yakkety": "Ubuntu 16.04",
    "ubuntu-xenial-lts-zesty": "Ubuntu 16.04",
    "ubuntu-bionic": "Ubuntu 18.04",
    "ubuntu-bionic-aws": "Ubuntu 18.04",
    "ubuntu-bionic-azure": "Ubuntu 18.04",
    "ubuntu-bionic-gcp": "Ubuntu 18.04",
    "ubuntu-bionic-hwe": "Ubuntu 18.04",
    "ubuntu-bionic-lts-focal": "Ubuntu 18.04",
    "ubuntu-bionic-lts-focal-aws": "Ubuntu 18.04",
    "ubuntu-bionic-lts-focal-azure": "Ubuntu 18.04",
    "ubuntu-bionic-lts-focal-gcp": "Ubuntu 18.04",
    "ubuntu-bionic-aws-arm64": "Ubuntu 18.04 (arm64)",
    "ubuntu-focal": "Ubuntu 20.04",
    "ubuntu-focal-azure": "Ubuntu 20.04",
    "ubuntu-focal-aws": "Ubuntu 20.04",
    "ubuntu-focal-raspi": "Ubuntu 20.04 (arm64)",
    "openvz": "Virtuozzo & OpenVZ RHEL6 (x86_64)",
    "centos7-eig": "Custom Kernels",
    "custom-0": "Custom Kernels",
    "ubuntu-jammy": "Ubuntu 22.04",
    "ubuntu-jammy-azure": "Ubuntu 22.04",
    "ubuntu-jammy-aws": "Ubuntu 22.04",
    "ubuntu-jammy-raspi": "Ubuntu 22.04 (arm64)",
};

function getDistroChoices(distro_map) {
    var result = {};
    for (var flavor in distro_map) {
        var name = distro_map[flavor];
        if (name in result) {
            result[name] = result[name] + ',' + flavor;
        } else {
            result[name] = flavor;
        }
    }
    return _.sortBy(_.pairs(result), item => item[0])
}
