from typing import TypeVar, List, Generic, Tuple, Optional, Any, Dict

from wtforms.form import Form
from flask_admin.base import BaseView
from jinja2.runtime import Context
from sqlalchemy.orm import Query, Session, scoped_session
from .filters import BaseSQLAFilter

Model = TypeVar('Model')

class ModelView(BaseView, Generic[Model]):
    def __init__(self, view: type[Model], session: scoped_session[Session], name: str): ...
    def _export_data(self) -> Tuple[int, List[Model]]: ...
    def get_list_value(self, context: Context, model: Model, name: str) -> Any: ...
    def get_detail_value(self, context: Context, model: Model, name: str) -> Any: ...
    def get_export_value(self, model: Model, name: str) -> Any: ...
    def get_one(self, id: str) -> Optional[Model]: ...
    def get_query(self) -> Query: ...
    def get_count_query(self) -> Query: ...
    def handle_view_exception(self, exc: Exception) -> bool: ...
    def edit_form(self, obj: Optional[Model] = None) -> Form: ...
    def create_form(self) -> Form: ...
    def on_model_change(self, form: Form, model: Model, is_created: bool) -> None: ...
    def handle_filter(self, filter: BaseSQLAFilter) -> BaseSQLAFilter: ...
    _filter_joins: Dict[Any, List[Any]]
